export const PACKAGE_MANAGERS = ['npm', 'yarn', 'pnpm'];
export const isPackageManager = (value) => {
    return PACKAGE_MANAGERS.includes(value);
};
const PACKAGE_MANAGER_COMMANDS = {
    install: {
        npm: 'npm install',
        yarn: 'yarn',
        pnpm: 'pnpm install',
    },
    add: {
        npm: 'npm install',
        yarn: 'yarn add',
        pnpm: 'pnpm add',
    },
    run: {
        npm: 'npx',
        yarn: 'yarn',
        pnpm: 'pnpm',
    },
};
export const getCommand = (command, packageManager, args) => {
    return `${PACKAGE_MANAGER_COMMANDS[command][packageManager]} ${args.join(' ')}`;
};
