export const PACKAGE_MANAGERS = ['npm', 'yarn', 'pnpm'] as const;
export type PackageManager = (typeof PACKAGE_MANAGERS)[number];

export const isPackageManager = (value: string): value is PackageManager => {
  return PACKAGE_MANAGERS.includes(value as PackageManager);
};

const PACKAGE_MANAGER_COMMANDS = {
  install: {
    npm: 'npm install',
    yarn: 'yarn',
    pnpm: 'pnpm install',
  },
  add: {
    npm: 'npm install',
    yarn: 'yarn add',
    pnpm: 'pnpm add',
  },
  run: {
    npm: 'npx',
    yarn: 'yarn',
    pnpm: 'pnpm',
  },
} as const;

export const getCommand = (
  command: keyof typeof PACKAGE_MANAGER_COMMANDS,
  packageManager: PackageManager,
  args: string[],
) => {
  return `${PACKAGE_MANAGER_COMMANDS[command][packageManager]} ${args.join(
    ' ',
  )}`;
};
